import request from '@/utils/request'

// 查询行政区划列表
export function listRegions(query) {
  return request({
    url: '/sfa/regions/list',
    method: 'get',
    params: query
  })
}

// 查询行政区划详细
export function getRegions(regionId) {
  return request({
    url: '/sfa/regions/' + regionId,
    method: 'get'
  })
}

// 新增行政区划
export function addRegions(data) {
  return request({
    url: '/sfa/regions',
    method: 'post',
    data: data
  })
}

// 修改行政区划
export function updateRegions(data) {
  return request({
    url: '/sfa/regions',
    method: 'put',
    data: data
  })
}

// 删除行政区划
export function delRegions(regionId) {
  return request({
    url: '/sfa/regions/' + regionId,
    method: 'delete'
  })
}
